## NAME

CURLOPT_EGDSOCKET - set EGD socket path

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_EGDSOCKET, char *path);

## DESCRIPTION

Pass a char * to the zero terminated path name to the Entropy Gathering Daemon socket. It will be used to seed the random engine for SSL.

## DEFAULT

NULL

## PROTOCOLS

All TLS based protocols: HTTPS, FTPS, IMAPS, POP3S, SMTPS etc.

## EXAMPLE

TODO

## AVAILABILITY

If built TLS enabled. Only the OpenSSL and GnuTLS backends will use this.

## RETURN VALUE

Returns CURLE_OK if TLS is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_RANDOM_FILE

This HTML page was made with roffit.